import { EventHook } from '@vueuse/core';
import * as Vue from 'vue';
import { type Plugin } from "vue";
interface VueCustomElement {
    version: string;
    readonly config: Vue.AppConfig;
    provide(clientKey: string | symbol, value: unknown): VueCustomElement;
    onUnmount(fn: EventHook['on']): void;
    use(plugin: Plugin, ...options: unknown[]): VueCustomElement;
}
export declare const registerPluginsForCustomElement: (configFn: (app: VueCustomElement) => void) => void;
declare function declareVuejsExample(): void;
export { declareVuejsExample };
